--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.INFO_HUD_nh) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;

function ShowHelp:draw()
	if self.helpPanelActive then
		g_currentMission:addHelpButtonText(g_i18n:getText("HelpPanelOff"), InputBinding.INFO_HUD_nh);
	else
		g_currentMission:addHelpButtonText(g_i18n:getText("HelpPanelOn"), InputBinding.INFO_HUD_nh);
	end;
end;


function ShowHelp:updateTick(dt)
end;

function ShowHelp:draw()
	if not self.showHelp then
	    renderText(0.77, 0.22, 0.02, "");
	 else
		renderText(0.77, 0.22, 0.02, "");
		renderText(0.72, 0.80, 0.025, "-- New Holland T8.420 v3 --");
		renderText(0.72, 0.78, 0.02, "Home: Beacon On/Off");
		renderText(0.72, 0.76, 0.02, "0: Horn");
		renderText(0.72, 0.74, 0.02, "T: Rear Attacher UP");			
		renderText(0.72, 0.72, 0.02, "J: Rear Attacher Down");
		renderText(0.72, 0.70, 0.02, "KP_1: Left Turn Signal")
		renderText(0.72, 0.68, 0.02, "KP_2: Hazard Lights")
		renderText(0.72, 0.66, 0.02, "KP_3: Right Turn Signal")
		renderText(0.72, 0.64, 0.02, "KP_4: Left Cab Door Open/Close");
		renderText(0.72, 0.62, 0.02, "KP_5: Front Working Lights");
		renderText(0.72, 0.60, 0.02, "KP_6: Rear Working Lights");
		renderText(0.72, 0.58, 0.02, "KP_7: Front Hydraulics Raise/Lower");
        renderText(0.72, 0.56, 0.02, "KP_8: Rear Cab Window Open/Close");
        renderText(0.72, 0.54, 0.02, "KP_9: Wideload Flags On/Off");
		renderText(0.72, 0.52, 0.02, "B: Fog Lights");
        renderText(0.72, 0.50, 0.02, "M: Rear Cam");
		renderText(0.72, 0.48, 0.02, "K: IndoorLight");
    end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




